<?php
namespace Internetgalerie\IgRender\ViewHelpers\Condition\Email;


use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractConditionViewHelper;

/**
 * ### Condition: E-Mail is valid
 *
 * Condition ViewHelper which renders the `then` child if provided
 * Performs a case-sensitive check indicating if $haystack begins with $needle. 
 */
class IsValidViewHelper extends AbstractConditionViewHelper
{
    /**
     * Initialize arguments
     */
    public function initializeArguments()
    {
        parent::initializeArguments();
        $this->registerArgument('email', 'string', 'email', true);
        $this->registerArgument('trim', 'bool', 'trim email', false, false);
    }

    /**
     * @param array $arguments
     * @return bool
     */
    protected static function evaluateCondition($arguments = null)
    {
        $email = $arguments['email'];
        if ($arguments['trim']) {
            $email = trim($email);
        }
        $emailAscii = idn_to_ascii($email);
        return filter_var($emailAscii, FILTER_VALIDATE_EMAIL);
    }
}
